Name: the-board
Version: 0.1.3
Release: 2%{?dist}
Summary: A space for placing daily records in your GNOME desktop

Group: Applications/Multimedia
License: GPLv3
URL: http://live.gnome.org/TheBoardProject
Source0: http://download.gnome.org/sources/%{name}/0.1/%{name}-%{version}.tar.bz2

%global clutter_version 1.6.0
%global clutter_gtk_version 1.0.0
%global clutter_gst_version 1.3.2
%global glib2_version 2.28.0
%global gtk3_version 3.0.0
%global gobject_introspection_version 0.10.0
%global gjs_version 0.7.7
%global mx_version 1.1.1
%global libnotify_version 0.7.1
%global gdk_pixbuf_version 2.22.1
%global nautilus_version 3.0.0
%global cheese_version 3.0.1

BuildRequires: clutter-devel >= %{clutter_version}
BuildRequires: clutter-gtk-devel >= %{clutter_gtk_version}
BuildRequires: clutter-gst-devel >= %{clutter_gst_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: gobject-introspection-devel >= %{gobject_introspection_version}
BuildRequires: gjs-devel >= %{gjs_version}
BuildRequires: libmx-devel >= %{mx_version}
BuildRequires: libnotify-devel >= %{libnotify_version}
BuildRequires: gdk-pixbuf2-devel >= %{gdk_pixbuf_version}
BuildRequires: libsoup-devel
BuildRequires: nautilus-devel >= %{nautilus_version}
BuildRequires: cheese-libs-devel >= %{cheese_version}
# common BRs
BuildRequires: gtk-doc gnome-common intltool desktop-file-utils
# need this to remove hardcoded library paths and work with gobject-introspection
BuildRequires: chrpath

Requires: gobject-introspection >= %{gobject_introspection_version}

%description
A space for placing daily records in your GNOME desktop

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The the-board-devel package contains files needed to develop software
that uses The Board.

%package nautilus
Summary: Nautilus extension for %{name}
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: nautilus

%description nautilus
The the-board-nautilus package contains a nautilus extension for
The Board.

%prep
%setup -q

%build
%configure --with-libsoup=yes --with-libnotify=yes --with-nautilus=yes
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
chrpath --delete %{buildroot}%{_libexecdir}/the-board-start

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/the-board.desktop

rm -rf %{buildroot}/%{_libdir}/libthe-board-1.0.la
rm -rf %{buildroot}/%{_libdir}/nautilus/extensions-3.0/*.la

%find_lang %{name}

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
# AUTHORS is missing from this list because it's zero bytes
# see https://bugzilla.gnome.org/show_bug.cgi?id=640792
%doc COPYING INSTALL NEWS README
%{_bindir}/the-board
%{_libexecdir}/the-board-start
%{_datadir}/applications/the-board.desktop
%{_datadir}/the-board/
%{_datadir}/icons/hicolor/*/apps/the-board.png
%{_libdir}/libthe-board-1.0.so.*
%{_libdir}/girepository-1.0/TheBoard-1.0.typelib

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_datadir}/gir-1.0/
%{_bindir}/tb-js-unit

%files nautilus
%defattr(-,root,root,-)
%{_libdir}/nautilus/extensions-3.0/libnautilus-the-board.so

%changelog
* Thu Apr 28 2011 Cosimo Cecchi <cosimoc@redhat.com> 0.1.3-2
- Rebuild

* Thu Apr 28 2011 Cosimo Cecchi <cosimoc@redhat.com> 0.1.3-1
- Update to 0.1.3

* Mon Mar 28 2011 Cosimo Cecchi <cosimoc@redhat.com> 0.1.2-1
- Update to 0.1.2

* Mon Mar 28 2011 Cosimo Cecchi <cosimoc@redhat.com> 0.1.1.1-1
- Update to 0.1.1.1
- Fix file ownership for the nautilus extension
- Use global instead of define

* Fri Jan 28 2011 Cosimo Cecchi <cosimoc@redhat.com> 0.1.0-5
- Try harder avoiding hardcode of runtime library paths

* Thu Jan 27 2011 Cosimo Cecchi <cosimoc@redhat.com> 0.1.0-4
- Disable hardcoding of runtime library paths (rpath)
- Don't install zero-length AUTHORS file

* Fri Jan 21 2011 Cosimo Cecchi <cosimoc@redhat.com> 0.1.0-3
- Clean up some unneeded sections

* Tue Jan 18 2011 Cosimo Cecchi <cosimoc@redhat.com> 0.1.0-2
- Addressed comments from the package review

* Thu Jan 13 2011 Cosimo Cecchi <cosimoc@redhat.com> 0.1.0-1
- Initial packaging of The Board
